%global srcname lib-zfcp-hbaapi

Name:           libzfcphbaapi
Summary:        HBA API for the zFCP device driver
Group:          System Environment/Libraries
Version:        2.1.1
Release:        8%{?dist}
License:        CPL
URL:            http://www.ibm.com/developerworks/linux/linux390/zfcp-hbaapi.html
# http://www.ibm.com/developerworks/linux/linux390/zfcp-hbaapi-%%{hbaapiver}.html
Source0:        http://download.boulder.ibm.com/ibmdl/pub/software/dw/linux390/ht_src/%{srcname}-%{version}.tar.gz
Patch1:         %{srcname}-2.1.1-fedora.patch

ExclusiveArch:  s390 s390x

BuildRequires:  automake
BuildRequires:  doxygen
BuildRequires:  libsysfs-devel
BuildRequires:  sg3_utils-devel
BuildRequires:  libhbaapi-devel
Requires:       libhbaapi
Requires(post): grep
Requires(postun): grep sed
Provides:       s390utils-libzfcphbaapi = 2:1.20.0-4
Obsoletes:      s390utils-libzfcphbaapi <= 2:1.20.0-3

# exclude plugin soname from Provides
%global __provides_exclude ^(libzfcphbaapi-%{version}[.]so.*)$

%description
zFCP HBA API Library is an implementation of FC-HBA (see www.t11.org) for
the zFCP device driver.


%package docs
License:  CPL
Summary:  zFCP HBA API Library -- Documentation
Group:    Development/Libraries
URL:      http://www.ibm.com/developerworks/linux/linux390/zfcp-hbaapi.html
Requires: %{name} = %{version}-%{release}
Provides:       s390utils-libzfcphbaapi-docs = 2:1.20.0-4
Obsoletes:      s390utils-libzfcphbaapi-docs <= 2:1.20.0-3

%description docs
Documentation for the zFCP HBA API Library.


%prep
%setup -q -n %{srcname}-%{version}

%patch1 -p1 -b .fedora


%build
%configure --disable-static --enable-vendor-lib
make EXTRA_CFLAGS="$RPM_OPT_FLAGS -fno-strict-aliasing"


%install
%makeinstall docdir=$RPM_BUILD_ROOT%{_docdir}/%{name}
# keep only html docs
rm -rf $RPM_BUILD_ROOT%{_docdir}/%{name}/latex
# remove unwanted files
rm -f $RPM_BUILD_ROOT%{_libdir}/%{name}.*


%post
grep -q -e "^libzfcphbaapi" /etc/hba.conf ||
    echo "libzfcphbaapi %{_libdir}/libzfcphbaapi-%{version}.so" >> /etc/hba.conf
:

%preun
grep -q -e "^libzfcphbaapi" /etc/hba.conf &&
    sed -i.orig -e "/^libzfcphbaapi/d" /etc/hba.conf
:


%files
%doc README COPYING ChangeLog AUTHORS LICENSE
%{_bindir}/zfcp_ping
%{_bindir}/zfcp_show
%{_libdir}/%{name}-%{version}.so
%{_mandir}/man3/libzfcphbaapi.3*
%{_mandir}/man3/SupportedHBAAPIs.3*
%{_mandir}/man3/UnSupportedHBAAPIs.3*
%{_mandir}/man8/zfcp_ping.8*
%{_mandir}/man8/zfcp_show.8*
%exclude %{_mandir}/man3/hbaapi.h.3*
%exclude %{_docdir}/%{name}/html


%files docs
%{_docdir}/%{name}/html


%changelog
* Thu Aug 03 2017 Fedora Release Engineering <releng@fedoraproject.org> - 2.1.1-8
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Binutils_Mass_Rebuild

* Wed Jul 26 2017 Fedora Release Engineering <releng@fedoraproject.org> - 2.1.1-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild

* Fri Feb 10 2017 Fedora Release Engineering <releng@fedoraproject.org> - 2.1.1-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_26_Mass_Rebuild

* Thu Feb 04 2016 Fedora Release Engineering <releng@fedoraproject.org> - 2.1.1-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Wed Jun 17 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.1.1-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Wed Nov 05 2014 Dan Horák <dan@danny.cz> - 2.1.1-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_22_Mass_Rebuild

* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.1.1-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Fri Mar 14 2014 Dan Horák <dan[at]danny.cz> - 2.1.1-1
- updated to 2.1.1

* Sat Aug 03 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.1-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Wed May 29 2013 Dan Horák <dan[at]danny.cz> - 2.1-2
- add missing compatibility Provides
- exclude plugin soname from Provides

* Thu May 16 2013 Dan Horák <dan[at]danny.cz> - 2.1-1
- move libzfcphbaapi to own package from s390utils
